/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(sync_block.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(f07d137348bdb66189b791e6993f0762)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/sync_block.h>
// pydoc.h is automatically generated in the build directory
#include <sync_block_pydoc.h>

void bind_sync_block(py::module& m)
{

    using sync_block = ::gr::sync_block;


    py::class_<sync_block, gr::block, gr::basic_block, std::shared_ptr<sync_block>>(
        m, "sync_block", D(sync_block))


        .def("work",
             &sync_block::work,
             py::arg("noutput_items"),
             py::arg("input_items"),
             py::arg("output_items"),
             D(sync_block, work))


        .def("general_work",
             &sync_block::general_work,
             py::arg("noutput_items"),
             py::arg("ninput_items"),
             py::arg("input_items"),
             py::arg("output_items"),
             D(sync_block, general_work))


        .def("fixed_rate_ninput_to_noutput",
             &sync_block::fixed_rate_ninput_to_noutput,
             py::arg("ninput"),
             D(sync_block, fixed_rate_ninput_to_noutput))


        .def("fixed_rate_noutput_to_ninput",
             &sync_block::fixed_rate_noutput_to_ninput,
             py::arg("noutput"),
             D(sync_block, fixed_rate_noutput_to_ninput))

        ;


    py::module m_messages = m.def_submodule("messages");


    py::module m_thread = m.def_submodule("thread");
}
